> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rallyuxr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a paginated list of interviews in a study

> Get a paginated list of interviews in a study



## OpenAPI

````yaml https://api.rallyuxr.com/api/openapi get /studies/{studyId}/interviews
openapi: 3.1.0
info:
  title: Rally UXR Developer Docs
  version: '1.0'
servers:
  - url: https://api.rallyuxr.com/api/public/v1
security:
  - bearerAuth: []
tags:
  - name: Forms
    description: Operations on Forms in your workspace
  - name: People
    description: Operations on Person's stored in your workspace
  - name: Person Properties
    description: Operations on workspace level Person Properties
  - name: Populations
    description: Operations on Populations in your workspace
  - name: Segments
    description: Operations on Segments in your workspace
  - name: Studies
    description: Operations on Studies in your workspace
  - name: Participants
    description: Operations on Participants in studies
  - name: Screener
    description: Operations on a study's screener
  - name: Consent Submissions
    description: Operations on Consent Submissions for studies
  - name: Incentives
    description: Operations on Incentives in your workspace
  - name: Messages
    description: Operations on Message activities in your workspace
  - name: Imports
    description: Operations on Imports in your workspace
  - name: Users
    description: Operations on Workspace Users
  - name: Teams
    description: Operations on Teams in your workspace
  - name: Backfills
    description: >-
      Routes that can be used to backfill data into Rally. If you'd like access
      to these apis, please reach out to your Customer Success rep
  - name: Person
    description: Deprecated, use People
paths:
  /studies/{studyId}/interviews:
    get:
      tags:
        - Studies
      summary: Get a paginated list of interviews in a study
      description: Get a paginated list of interviews in a study
      parameters:
        - $ref: '#/components/parameters/StudyId'
        - schema:
            type: string
            description: The cursor to start from
          required: false
          description: The cursor to start from
          name: startCursor
          in: query
        - schema:
            type: number
            exclusiveMinimum: 0
            maximum: 100
            default: 25
            description: The number of items to return
            example: 10
          required: false
          description: The number of items to return
          name: size
          in: query
        - schema:
            anyOf:
              - type: array
                items:
                  type: string
                  enum:
                    - SCHEDULED
                    - CANCELED
                    - COMPLETED
                    - NO_SHOWED
              - type: string
                enum:
                  - SCHEDULED
                  - CANCELED
                  - COMPLETED
                  - NO_SHOWED
            description: >-
              The states of the interview bookings to filter by. If nothing is
              provided, all states will be included.
          required: false
          description: >-
            The states of the interview bookings to filter by. If nothing is
            provided, all states will be included.
          name: bookingStates
          in: query
      responses:
        '200':
          description: The interviews
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        interviewBookingId:
                          type: string
                          description: The ID of the interview
                        studyId:
                          type: string
                          description: The ID of the study
                        state:
                          type: string
                          enum:
                            - SCHEDULED
                            - CANCELED
                            - COMPLETED
                            - NO_SHOWED
                        startTime:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        endTime:
                          type:
                            - string
                            - 'null'
                          format: date-time
                        timezone:
                          type:
                            - string
                            - 'null'
                        title:
                          type:
                            - string
                            - 'null'
                        description:
                          type:
                            - string
                            - 'null'
                        conferenceType:
                          type:
                            - string
                            - 'null'
                          enum:
                            - NONE
                            - ZOOM
                            - GOOGLE_MEET
                            - CALENDLY
                            - CUSTOM
                            - MICROSOFT_TEAMS
                            - null
                        conferenceUrl:
                          type:
                            - string
                            - 'null'
                          description: The URL of the conference/meeting
                        observerRoomId:
                          type:
                            - string
                            - 'null'
                        participants:
                          type: array
                          items:
                            type: object
                            properties:
                              email:
                                type:
                                  - string
                                  - 'null'
                                description: The email of the attendee
                              rsvpStatus:
                                type: string
                                enum:
                                  - NOREPLY
                                  - MAYBE
                                  - 'YES'
                                  - 'NO'
                                description: The status of the attendee
                              type:
                                type: string
                                enum:
                                  - PARTICIPANT
                              participantId:
                                type: string
                            required:
                              - email
                              - rsvpStatus
                              - type
                              - participantId
                        hosts:
                          type: array
                          items:
                            type: object
                            properties:
                              email:
                                type:
                                  - string
                                  - 'null'
                                description: The email of the attendee
                              rsvpStatus:
                                type: string
                                enum:
                                  - NOREPLY
                                  - MAYBE
                                  - 'YES'
                                  - 'NO'
                                description: The status of the attendee
                              type:
                                type: string
                                enum:
                                  - HOST
                              userId:
                                type:
                                  - string
                                  - 'null'
                            required:
                              - email
                              - rsvpStatus
                              - type
                              - userId
                        guests:
                          type: array
                          items:
                            type: object
                            properties:
                              email:
                                type:
                                  - string
                                  - 'null'
                                description: The email of the attendee
                              rsvpStatus:
                                type: string
                                enum:
                                  - NOREPLY
                                  - MAYBE
                                  - 'YES'
                                  - 'NO'
                                description: The status of the attendee
                              type:
                                type: string
                                enum:
                                  - GUEST
                              userId:
                                type:
                                  - string
                                  - 'null'
                            required:
                              - email
                              - rsvpStatus
                              - type
                              - userId
                      required:
                        - interviewBookingId
                        - studyId
                        - state
                        - startTime
                        - endTime
                        - timezone
                        - title
                        - description
                        - conferenceType
                        - conferenceUrl
                        - observerRoomId
                        - participants
                        - hosts
                        - guests
                  total:
                    type: number
                    exclusiveMinimum: 0
                    description: >-
                      The total number of items in your workspaces based on your
                      search parameters
                  pageInfo:
                    $ref: '#/components/schemas/PageInfoResponse'
                required:
                  - results
                  - total
                  - pageInfo
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
        '401':
          description: Unauthorized
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Unauthorized
        '403':
          description: Forbidden
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Forbidden
        '429':
          description: Too Many Requests
          headers:
            Retry-After:
              $ref: '#/components/headers/Retry-After'
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Too Many Requests
        '500':
          description: Internal Server Error
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Internal Server Error
      security:
        - bearerAuth: []
components:
  parameters:
    StudyId:
      schema:
        $ref: '#/components/schemas/StudyId'
      required: true
      name: studyId
      in: path
  headers:
    X-RateLimit-Limit:
      description: The maximum number of requests the client is allowed to make.
      schema:
        type: integer
        format: int32
    X-RateLimit-Remaining:
      description: >-
        The number of requests remaining for the client in the current time
        window.
      schema:
        type: integer
        format: int32
    X-RateLimit-Reset:
      description: >-
        The time at which the current time window ends (in Unix timestamp
        format).
      schema:
        type: integer
        format: int32
    Retry-After:
      description: The number of seconds until the client should retry the request.
      schema:
        type: integer
        format: int32
  schemas:
    PageInfoResponse:
      type: object
      properties:
        hasNextPage:
          type: boolean
          description: Whether there are additional pages of results
        hasPreviousPage:
          type: boolean
          description: Whether there is a prior page of results
        startCursor:
          type: string
          description: The start of the current page of results
        endCursor:
          type: string
          description: The end of the current page of results. Use to fetch the next page
      required:
        - hasNextPage
        - hasPreviousPage
      description: Information about the current page
    BadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
              path:
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
            required:
              - message
              - path
      required:
        - errors
      description: Error response for a bad request with details on what was invalid
    StudyId:
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````